<?php
/*--------------------------------------------------\
| Kvcodes    	|   Saaiaran    | login file        |
|---------------------------------------------------|
| For use with:                                    	|
| FrontAccounting 									|
| http://www.kvcodes.com/  	            			|
| by kvvaradha                            			|
\--------------------------------------------------*/
	if (!isset($path_to_root) || isset($_GET['path_to_root']) || isset($_POST['path_to_root']))
		die(_("Restricted access"));
	include_once($path_to_root . "/includes/ui.inc");
	include_once($path_to_root . "/includes/page/header.inc");
	include_once($path_to_root . "/config_db.php");
	include_once($path_to_root . "/config.php");
	include_once($path_to_root . "/includes/db/connect_db.inc");
	set_global_connection($def_coy);
include_once("kvcodes.inc");
global $saai_options, $fonts_list;
create_tbl_option(); 
$saai_options = GetAllThemeOptions();



function theme_start_form($multi=false, $dummy=false, $action="", $name="", $class=''){
	// $dummy - leaved for compatibility with 2.0 API
	global $form_nested;

	if (++$form_nested) return;

	if ($name != "")
		$name = "name='$name'";
	if ($action == "")
		$action = $_SERVER['PHP_SELF'];

	if ($multi)
		echo "<form enctype='multipart/form-data' method='post' action='$action' $name $class>\n";
	else
		echo "<form method='post' action='$action' $name $class>\n";

}


//echo $UTF8_fontfile;
	$js = "<script language='JavaScript' type='text/javascript'>
function defaultCompany(){
	document.forms[0].company_login_name.options[".$_SESSION["wa_current_user"]->company."].selected = true;
}
</script>";
	add_js_file('login.js');
	// Display demo user name and password within login form if "$allow_demo_mode" is true
	if ($SysPrefs->allow_demo_mode == true){
	    $demo_text = _("Login as user: demouser and password: password");
	}
	else{
		$demo_text = _("");
	    if (@$SysPrefs->allow_password_reset) {
	      $demo_text .= " "._("or")." <a href='$path_to_root/index.php?reset=1'>"._("request new password")."</a>";
	    }
	}
	if (check_faillog()){
		$blocked_msg = '<span class="redfg">'._('Too many failed login attempts.<br>Please wait a while or try later.').'</span>';

	    $js .= "<script>setTimeout(function() {
	    	document.getElementsByName('SubmitUser')[0].disabled=0;
	    	document.getElementById('log_msg').innerHTML='$demo_text'}, 1000*".$SysPrefs->login_delay.");</script>";
	    $demo_text = $blocked_msg;
	}
	if (!isset($def_coy))
		$def_coy = 0;
	$def_theme = "default";

	$login_timeout = $_SESSION["wa_current_user"]->last_act;

	$title = $login_timeout ? _('Authorization timeout') : $SysPrefs->app_title." ".$version." - "._("Login");

	if(kv_get_option('powered_name') != 'false'){
		$ltitle = kv_get_option('powered_name');
		if(kv_get_option('hide_version') == 0 )
			$ltitle .= " ".$version;
	}else{
		$ltitle = $SysPrefs->app_title; 
	}

	$encoding = isset($_SESSION['language']->encoding) ? $_SESSION['language']->encoding : "iso-8859-1";
	$rtl = isset($_SESSION['language']->dir) ? $_SESSION['language']->dir : "ltr";
	$onload = !$login_timeout ? "onload='defaultCompany()'" : "";
	if(file_exists(dirname(__FILE__) .'/images/'.kv_get_option('favicon'))){
		$favicon = kv_get_option('favicon').'?'.rand(2,5);
	}else
		$favicon = 'favicon.ico?'.rand(2,5);
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\n";
	echo "<html dir='$rtl' >\n";
	echo "<head profile=\"http://www.w3.org/2005/10/profile\"><title>$ltitle</title>\n";
   	echo "<meta http-equiv='Content-type' content='text/html; charset=$encoding' >\n";
   	echo '<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no">' ; 
	echo "<link href='".$path_to_root."/themes/onlinksoft/css/login.css' rel='stylesheet' type='text/css'> \n";
 	echo "<link href='$path_to_root/themes/onlinksoft/images/$favicon' rel='icon' type='image/x-icon'> \n";
 	   	echo ' <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family='.$fonts_list[$saai_options['font']]['link'].'&display=swap">
  <style> html, body { font-family : '.$fonts_list[$saai_options['font']]['font-family'].';}
 </style>';
 $color_scheme = $saai_options['color_scheme']; 
			if(!$color_scheme)
				$color_scheme= 'default';		
			if($color_scheme == 'custom'){ 
				require_once('custom_color.php');
			}else 	
				echo '<link rel="stylesheet" href="'.$path_to_root.'/themes/onlinksoft/css/colorschemes/'.$color_scheme.'.css">';
	send_scripts();
	if (!$login_timeout)
	{
		echo $js;
	}
	echo "</head>\n";

	if(isset($saai_options['login']) && $saai_options['login'] != 'login.php' && file_exists($path_to_root.'/themes/onlinksoft/login/'.$saai_options['login']) && !is_dir($path_to_root.'/themes/onlinksoft/login/'.$saai_options['login']))
		require_once($path_to_root.'/themes/onlinksoft/login/'.$saai_options['login']);
	else {
	echo "<body  id='loginscreen' $onload >\n";

	//echo "<table class='titletext'><tr><td>$title</td></tr></table>\n";
	
	div_start('login');
	
	start_form(false, false, $_SESSION['timeout']['uri'], "loginform");
	
	echo "<div class='LogoHeader'>";
	if (!$login_timeout) { // FA logo
    	if(file_exists(dirname(__FILE__) .'/images/'.kv_get_option('logo'))){
			$logo_img = kv_get_option('logo').'?'.rand(2,5);
		}else
			$logo_img = 'onlinksoft.png?'.rand(2,5);
    	echo "<a target='_blank' href='".kv_get_option('powered_url')."'><img src='$path_to_root/themes/onlinksoft/images/$logo_img' alt='".kv_get_option('powered_name')."' height='100' onload='fixPNG(this)' border='0' style='max-width: 250px;'/></a>";
	} else { 
		echo "<font size=5>"._('Authorization timeout')."</font>";
	} 
	echo "</div>\n";	

	echo "<input type='hidden' id=ui_mode name='ui_mode' value='".$_SESSION["wa_current_user"]->ui_mode."' >\n";
	div_start('Login_Div');
	echo '<div class="ContentLogin"> Login </div>'; 
	start_table(false, "class='login'");
	/*if (!$login_timeout){
		if(kv_get_option('hide_version') == 0 )
			table_section_title(_("Version")." $version   Build ".$SysPrefs->build_version ." - "._("Login"));
		else
			table_section_title(_("Login"));
	}*/
	$value = $login_timeout ? $_SESSION['wa_current_user']->loginname : ($SysPrefs->allow_demo_mode ? "demouser":"");	
	
	text_cells( null, "user_name_entry_field", $value, 20, 30, false, "", "", " placeholder='Username' ");

	$password = $SysPrefs->allow_demo_mode ? "password":"";

	//password_row('password', $password);
	echo '<tr> <td><input type="password" name="password" size="20" maxlength="20" value="" placeholder="Password"> </td> </tr>';

	 if ($login_timeout) {
		hidden('company_login_name', 0);
	} else {
		if (isset($_SESSION['wa_current_user']->company))
			$coy =  $_SESSION['wa_current_user']->company;
		else
			$coy = $def_coy;
		if (!@$text_company_selection) {
			echo "<tr><td><select name='company_login_name'>\n";
			for ($i = 0; $i < count($db_connections); $i++)
				echo "<option value=$i ".($i==$coy ? 'selected':'') .">" . $db_connections[$i]["name"] . "</option>";
			echo "</select>\n";
			echo "</td></tr>";
		} else {
//			$coy = $def_coy;
			text_cells(_("Company"), "company_login_nickname", "", 20, 50);
		}
		start_row();
		label_cell($demo_text, "colspan=2 align='center' id='log_msg'");
		end_row();
	}
	end_table(1);
	echo "<center><input type='submit' class='buttonui btn-block btn-large' value='&nbsp;&nbsp;"._("Login")."' name='SubmitUser'"
		.($login_timeout ? '':" onclick='set_fullmode();'").(isset($blocked_msg) ? " disabled" : '')." ></center></div>\n";	 

	foreach($_SESSION['timeout']['post'] as $p => $val) {
		// add all request variables to be resend together with login data
		if (!in_array($p, array('ui_mode', 'user_name_entry_field', 'password', 'SubmitUser', 'company_login_name'))) 
			if (!is_array($val))
				echo "<input type='hidden' name='$p' value='$val'>";
			else
				foreach($val as $i => $v)
					echo "<input type='hidden' name='{$p}[$i]' value='$v'>";
	}
	end_form(1);
}

	$Ajax->addScript(true, "document.forms[0].password.focus();");

    echo "<script language='JavaScript' type='text/javascript'>
    //<![CDATA[
            <!--
            document.forms[0].user_name_entry_field.select();
            document.forms[0].user_name_entry_field.focus();
            //-->
    //]]>
    </script>";
	//echo '<div align="center" ><a href="http://www.onlinksoft.com/module/onlinksoft-frontaccouting-theme/" target="_blank"> onlinksoft </a> </div> ' ; 
    
	
	echo "</div></body></html>\n";
	exit;
?>
